/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreUmlsimport;

import java.time.LocalDateTime;

import org.jooq.JSONB;
import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreUmlsimportRecord extends UpdatableRecordImpl<TCoreUmlsimportRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_umlsimport.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_umlsimport.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_umlsimport.pk</code>. unique id
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_umlsimport.pk</code>. unique id
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_umlsimport.content</code>. jsonb
     * content of the result of the query
     */
    public void setContent(JSONB value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_umlsimport.content</code>. jsonb
     * content of the result of the query
     */
    public JSONB getContent() {
        return (JSONB) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_umlsimport.query</code>. the MDM rest
     * query
     */
    public void setQuery(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_umlsimport.query</code>. the MDM rest
     * query
     */
    public String getQuery() {
        return (String) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreUmlsimportRecord
     */
    public TCoreUmlsimportRecord() {
        super(TCoreUmlsimport.T_CORE_UMLSIMPORT);
    }

    /**
     * Create a detached, initialised TCoreUmlsimportRecord
     */
    public TCoreUmlsimportRecord(LocalDateTime lastchange, Integer pk, JSONB content, String query) {
        super(TCoreUmlsimport.T_CORE_UMLSIMPORT);

        setLastchange(lastchange);
        setPk(pk);
        setContent(content);
        setQuery(query);
        resetChangedOnNotNull();
    }
}
